import { TeamAppsUiContext } from "../../TeamAppsUiContext";
import { AbstractUiDateTimeField } from "./AbstractUiDateTimeField";
import { UiInstantDateTimeFieldCommandHandler, UiInstantDateTimeFieldConfig, UiInstantDateTimeFieldEventSource } from "../../../generated/UiInstantDateTimeFieldConfig";
export declare class UiInstantDateTimeField extends AbstractUiDateTimeField<UiInstantDateTimeFieldConfig, number> implements UiInstantDateTimeFieldEventSource, UiInstantDateTimeFieldCommandHandler {
    protected initialize(config: UiInstantDateTimeFieldConfig, context: TeamAppsUiContext): void;
    protected getTimeZone(): string;
    isValidData(v: number): boolean;
    protected displayCommittedValue(): void;
    private toDateTime;
    getTransientValue(): number;
    getReadOnlyHtml(value: number, availableWidth: number): string;
    getDefaultValue(): number;
    valuesChanged(v1: number, v2: number): boolean;
    setTimeZoneId(timeZoneId: string): void;
}
